import { EditorState, Extension, TransactionSpec } from "@codemirror/state";
import { FileMap, TypescriptProject } from "./project";
export { TypescriptProject };
export type { FileMap };
export declare function injectTypes(types: FileMap): TransactionSpec;
/**
 * A TransactionSpec that can be dispatched to force re-calculation of lint diagnostics
 */
export declare function setDiagnostics(state: EditorState): Promise<TransactionSpec>;
export declare function typescript(): Extension;
